Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - qjournalctl

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: qjournalctl 0.3-1

Git Clone URL: https://aur-dev.archlinux.org/qjournalctl.git (read-only)
Package Base: qjournalctl
Description: A Qt-based graphical user interface for systemd's journalctl command
Upstream URL: https://github.com/pentix/qjournalctl/
Keywords: analyzer journal log systemd
Licenses: GPL
Submitter: pentix
Maintainer: pentix
Last Packager: pentix
Votes: 2
Popularity: 0.316427
First Submitted: 2016-08-13 16:26
Last Updated: 2016-09-17 15:43

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

pentix commented on 2016-09-18 09:46

Hi

Important remark, thank you! I didn't notice I should have called v0.21 v0.2.1 instead! :/ Users using v0.21 just have to force yaourt/pacman to "upgrade" to v0.3.

Next time I release a minor version I'll use the x.y.z-scheme.

Thank you :)

dopsi commented on 2016-09-17 17:50

Hi,

I just realized that there a problem with your version numbering.

According to the pacman manpage [1], the package number test system does check in the following order :

> Alphanumeric:
> 1.0a < 1.0b < 1.0beta < 1.0p < 1.0pre < 1.0rc < 1.0 < 1.0.a < 1.0.1
> Numeric:
> 1 < 1.0 < 1.1 < 1.1.1 < 1.2 < 2.0 < 3.0.0

This means that the number 0.21 > 0.3 (to fix this, you could either use the `epoch` variable or number as x.y.z)

[1] https://www.archlinux.org/pacman/pacman.8.html